## tcosmonitor 0.2.43

=== Makefile ===
all: dbus

include common.mk


printversion:
	echo $(VERSION)

test-all:
	@$(MAKE) test
	@cd xmlrpc &&  $(MAKE) test
#	@cd busybox && $(MAKE) test && $(MAKE) test2
	@cd dbus &&    $(MAKE) test

dist-clean:
	cd busybox && $(MAKE) dist-clean
	

clean:
	rm -rf tmp build
	rm -f *~ *.pyc *.orig *.bak *-stamp
	python setup.py clean
	cd tcosmonitor && rm -f *~ *.pyc *.orig *.bak *-stamp
	find -name "*~" | xargs rm -f
	cd po && make clean
	cd dbus && $(MAKE) clean
	cd tcosmonitor/extensions && $(MAKE) clean


exec:
	python $(PACKAGE).py --debug

pot:
	cd po && make pot

gmo:
	cd po && make gmo

es.po:
	############################################################
	#   OBSOLETE Makefile target => cd po and make into it     #
	############################################################
	@exit 1

dbus:
	cd dbus && $(MAKE)


install:
	@echo use python setup.py --install

targz: clean
	rm -rf ../tmp 2> /dev/null
	mkdir ../tmp
	cp -ra * ../tmp
	rm -rf `find ../tmp/* -type d -name .svn`
	mv ../tmp ../tcosmonitor-$(VERSION)
	tar -czf ../tcosmonitor-$(VERSION).tar.gz ../tcosmonitor-$(VERSION)
	rm -rf ../tcosmonitor-$(VERSION)

patch_version:
	@for f in $(shell find -type f -name "*.py"); do \
		echo "  * Patching VERSION $(VERSION) in $$f"; \
		sed -i 's/__VERSION__/$(VERSION)/g' $$f; \
	done


patch_unstable:
	# none

patch_lenny:
	# none

patch_testing:
	# none


patch_hardy:
	echo 6 > debian/compat
	sed -i 's/7\.0\.0/6\.0\.0/g' debian/control
	sed -i 's/3\.8\.0/3\.7\.2/g' debian/control

patch_max:
	sed -i '/show_donate/s/1/0/g' tcosmonitor/shared.py
	sed -i '/show_about/s/1/0/g' tcosmonitor/shared.py
	
patch_intrepid:
	# none

patch_jaunty:
	# none

patch_karmic:
	# none




.PHONY: dbus

=== po/Makefile ===
LANGUAGES=es pt_BR ca ca@valencia gl

all: gmo


clean:
	@echo " **CLEAN**"
	@rm -rf *.mo *~ tmp/
	@for lang in $(LANGUAGES); do \
		echo " **CLEANDIR** $$lang"; \
		rm -rf $$lang;\
	done

files:
#	find ../ -name "*.ui" -o -name "*.py" | grep -v WakeOnLan > FILES

pot:
	find ../ -name "*.ui" | grep -v WakeOnLan > FILES.ui.txt
	find ../ -name "*.py" | grep -v WakeOnLan > FILES.py.txt
#	xgettext --add-comments -o tcosmonitor.pot --files-from=FILES
	xgettext -o tcosmonitor.py.pot --files-from=FILES.py.txt --language=Python
	xgettext -o tcosmonitor.ui.pot --files-from=FILES.ui.txt --language=Glade
	msgcat -o tcosmonitor.pot tcosmonitor.py.pot tcosmonitor.ui.pot
	rm -f tcosmonitor.py.pot tcosmonitor.ui.pot FILES.ui.txt FILES.py.txt

po:
	@for lang in $(LANGUAGES); do \
		echo " **PO** $$lang"; \
		if [ ! -f $$lang.po ]; then \
			msginit --input tcosmonitor.pot -o $$lang-old.po;\
		else \
			mv $$lang.po $$lang-old.po; \
		fi ; \
		msgmerge -o $$lang.po $$lang-old.po tcosmonitor.pot; \
		rm -f $$lang-old.po; \
	done

gmo:
	@echo " **COMPILING** languages: $(LANGUAGES)"
	@for lang in $(LANGUAGES); do \
		echo " **COMPILEMO** $$lang" ; \
		mkdir -p $$lang/LC_MESSAGES/; \
		msgfmt --verbose -o $$lang/LC_MESSAGES/tcosmonitor.mo $$lang.po; \
	done
	
install:
	@echo " **INSTALL** languages: $(LANGUAGES)"
	@for lang in $(LANGUAGES); do \
		echo " **INSTALLMO** $$lang" ; \
		mkdir -p $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
		msgfmt -o $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/tcosmonitor.mo $$lang.po; \
	done

=== debian/changelog ===
tcosmonitor (0.2.43) unstable; urgency=low

  * Promoted by "Antonio Pérez-Aranda <ant30tx@gmail.com>"
	     from Yaco Sistemas SL <www.yaco.es>
  * Remove 'op' Depends (breaks nmap mode)

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Tue, 06 Sep 2011 17:02:52 +0200

tcosmonitor (0.2.42) unstable; urgency=low

  * tcosmonitor/extensions/info.py: show Pulseaudio mixer if standalone without pingport()
  * debian/copyright: Machine readable debian/copyright format
  * update debian/copyright
  * global license headers fix
  * Add Avahi mDNS for discover thin clients
  * tcosmonitor/shared.py: add isIPAddr method
  * tcosmonitor/TcosCommon.py: don't make a gethostbyaddr()
  * initial multiseat support

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Sun, 12 Jun 2011 13:48:09 +0200

tcosmonitor (0.2.41) unstable; urgency=low

  * tcosmonitor/TcosActions.py: fix compare groupexclude,
    debian/control: update versions
  * tcosmonitor/TcosActions.py: fix exclude typo and print debug
    messages when asking for exclude user
  * tcosmonitor/__init__.py: redirect errors to stderr and check for
    TCOSMONITOR_NO_EXTENSIONS for not loading extensions dir
  * debian/control: change GIT URL and remove obsolete python-2.4-dbus

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Thu, 25 Nov 2010 13:29:44 +0100

tcosmonitor (0.2.40.1) unstable; urgency=low

  * tcosmonitor/TcosDBus.py: really fix fucking dbus issue

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Thu, 11 Nov 2010 22:06:24 +0100

tcosmonitor (0.2.40) unstable; urgency=low

  * debian/control: move python-ipaddr, python-ipy to tcosmonitor-common
  * tcosmonitor/TcosDBus.py: fix sendfiles in thin client and standalone
    at the same time ;)

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Thu, 11 Nov 2010 20:44:23 +0100

tcosmonitor (0.2.39) unstable; urgency=low

  * tcosmonitor/extensions/sendfiles.py: fix wrong number of arguments
    in xmlrpc.DBus()
  * New pref variable 'consolekit' to disable Sessions() search
  * Move TcosXmlRcp to tcosmonitor-common and move xlib to tcosmonitor-
    common Depends
  * debian/control update Conclicts versions
  * tcosmonitor/LocalData.py: import Connections when search method is
    consolekit
  * tcosmonitor/TcosDBus.py: split dbus.Array instead of a string

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Thu, 11 Nov 2010 18:19:54 +0100

tcosmonitor (0.2.38) unstable; urgency=low

  * tcos-devices-ng.py: use exception in get_desktop_path() pt_BR
    Desktop path have spaces
  * tcos-devices-ng.py: use $HOME instead of Desktop

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Fri, 05 Nov 2010 16:23:18 +0100

tcosmonitor (0.2.37) unstable; urgency=low

  * debian/control: add consolekit as Depends
  * tcosmonitor/LocalData.py:
    - Add Sessions.Connections() [consolekit] to search thin clients
    - Check for dbus gdm.conf instead of dbus exception
  * tcosmonitor/TcosPreferences.py:
    - Use a better method to save scan_network_method var
  * tcosmonitor/extensions/vnc.py:
    - Use threads lock when starting VNC window.

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Fri, 15 Oct 2010 16:47:31 +0200

tcosmonitor (0.2.36) unstable; urgency=low

  * tcosmonitor/shared.py: don't run if ipstr is empty and clean old
    code
  * tcosmonitor/LocalData.py tcosmonitor/Sessions.py: use GDM and
    ConsoleKit dbus to read users and time (instead of wtmp)
  * tcos-devices-ng.py: fix newcdrom call, and eject when umounting
  * Allow to call shared.py to parse IP's, redirect debug to stderr
  * dbus/81tcos-utils: call shared.py instead of importing modules

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Sun, 03 Oct 2010 17:11:34 +0200

tcosmonitor (0.2.35) unstable; urgency=low

  * tcosmonitor/shared.py: fix some :0.0 values in parseIPAddress()
  * tcosmonitor/shared.py: support ssh -X connections 'localhost:10.0'

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Fri, 10 Sep 2010 19:53:04 +0200

tcosmonitor (0.2.34) unstable; urgency=low

  * tcospersonalize.py, fix print_debug and comment glade calls
  * remove glade references
  * tcosmonitor/LocalData.py: fix in_group function
  * tcos-devices-ng.py: automount CDROM/DVD events generated by new tcos
    cdrom-mount

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Tue, 13 Jul 2010 12:05:05 +0200

tcosmonitor (0.2.33) unstable; urgency=low

  [ Mario Izquierdo (mariodebian) ]
  * tcosmonitor/LocalData.py: fix typo mitad1 => half1

  [ Ignacio Vidal ]
  * debian/control: add python-m2crypto python-medusa to Depends and
    move op from one package to other
  * debian/tcosmonitor-common.install debian/tcosmonitor.install:
    install new files and move nmap-tcos.conf op
  * rename lintian file
  * tcos-devices-ng.py: add a error message if user is not in fuse group
    and use get-xdg-desktop instead of rsync-controller
  * tcosmonitor/ping.py: parse XML output of nmap
  * tcosmonitor/LocalData.py: return if newhost fail
  * tcosmonitor/extensions/tcosnetcontroller.py: Add space in message
  * tcosmonitor/extensions/screenshot.py: Set hostname if NO_LOGIN_MSG
  * tcosmonitor/extensions/livevnc.py: Set hostname if NO_LOGIN_MSG
  * tcosmonitor/TcosActions.py: continue if newhost fail
  * tcosmonitor/TcosDBus.py: Add new method to sendfiles
  * tcosmonitor/TcosStaticHosts.py: continue if newhost fail
  * tcosmonitor/extensions/sendfiles.py: Change rsync with FTP+SSL
  * tcosmonitor.py: Start FTP+SSL server
  * tcosmonitor/counter.py: Counter of hosts
  * tcosmonitor/ftps_server.py: FTP+SSL server with medusa and python-
    M2Crypto

  [ Mario Izquierdo (mariodebian) ]
  * Release 0.2.33

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Fri, 30 Apr 2010 15:54:01 +0200

tcosmonitor (0.2.32) unstable; urgency=low

  [ Mario Izquierdo (mariodebian) ]
  * tcosmonitor/shared.py: refactorize parseIPAddress, detect hostnames


=== debian/control ===
Source: tcosmonitor
Section: gnome
Priority: optional
Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
Build-Depends: debhelper (>= 7.0.0), cdbs, python, python-support (>= 0.3)
Standards-Version: 3.9.2
Vcs-Git: http://tcosproject.org/git/tcosmonitor.git
Vcs-Browser: http://tcosproject.org/cgit/tcosmonitor.git/
Homepage: http://www.tcosproject.org

Package: tcosmonitor
Architecture: all
Depends:  python, 
          tcosmonitor-common ( >= 0.2.39), 
          python-gtk-vnc, 
          gksu | kdebase-bin,
          nmap,
          ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Conflicts: initramfs-tools-tcos (<= 0.88.16), tcosmonitor (<=0.2.16~rc9)
Description: Thin client monitor for TCOS
 TCOS, thin Client Operating System is a method to create small embedded os
 based on Debian/Ubuntu with normal Debian kernel's.
 .
 tcosmonitor is a small pygtk app to monitor thin clients

Package: tcosmonitor-common
Architecture: all
Depends:  python, 
          python-utmp, 
          python-dbus,
          python-gtk2, 
          python-dns, 
          python-netifaces, 
          python-notify, 
          python-xlib,
          python-ipaddr,
          python-ipy,
          python-eggtrayicon | python-gnome2-extras,
          python-dateutil,
          zenity, 
          dbus, 
          x11vnc, 
          lsb-base (>= 3.0-6), 
          notification-daemon | xfce4-notifyd, 
          libnotify-bin, 
          python-m2crypto,
          python-medusa,
          tcos-core ( >= 0.89.44), 
          consolekit,
          ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Conflicts: initramfs-tools-tcos (<= 0.88.16), tcosmonitor (<=0.2.39)
Description: Thin client monitor for TCOS (common files)
 TCOS, thin Client Operating System is a method to create small embedded os
 based on Debian/Ubuntu with normal Debian kernel's.
 .
 This package contains common files of tcosmonitor (for standalone)

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pysupport
DEB_PACKAGES = tcosmonitor  tcosmonitor-common
DEB_ALL_PACKAGES= tcosmonitor tcosmonitor-common

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# cdbs is confused if more than one binary package is build:
DEB_DESTDIR=$(CURDIR)/debian/tmp

cleanbuilddir/tcosmonitor::
	$(MAKE) -C po clean

#clean::
#	$(MAKE) clean

# test if __VERSION__ is not parsed and fail
install/tcosmonitor::
	@if [ `find $(CURDIR)/debian/tmp/ -name "*.py" | xargs grep __VERSION__ | wc -l` != 0 ]; then \
		echo "__VERSION__ unparsed"; \
		find *.py | xargs grep __VERSION__;\
		exit 1; \
	fi


binary-predeb/tcosmonitor-common::
	# link doc
	rm -rf debian/tcosmonitor/usr/share/doc/tcosmonitor
	ln -s tcosmonitor-common debian/tcosmonitor/usr/share/doc/tcosmonitor

## tcosmonitor 0.2.44

=== debian/changelog ===
tcosmonitor (0.2.44) unstable; urgency=low

  * Change Priority to extra, we depend on some extra packages
  * Fix spelling errors in manual pages
  * README: Remove hex2ascii.c (is in tcos-core package)
  * README.standalone: Update ports info
  * Remove rsync doc
  * Switch from CDBS to dh7 format

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Mon, 02 Jan 2012 17:08:18 +0100

## tcosmonitor 0.2.45

=== debian/changelog ===
tcosmonitor (0.2.45) unstable; urgency=low

  * tcos-devices-ng.py: fix remove_duplicates() inliner

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Wed, 25 Jan 2012 11:59:16 +0100

=== debian/control ===
Source: tcosmonitor
Section: gnome
Priority: extra
Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python-all (>=2.6.6-3~)
Standards-Version: 3.9.2
Vcs-Git: http://tcosproject.org/git/tcosmonitor.git
Vcs-Browser: http://tcosproject.org/cgit/tcosmonitor.git/
Homepage: http://www.tcosproject.org

Package: tcosmonitor
Architecture: all
Depends: python, 
         tcosmonitor-common ( >= 0.2.39), 
         python-gtk-vnc, 
         gksu | kdebase-bin,
         nmap,
         ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Breaks: initramfs-tools-tcos (<= 0.88.16)
Description: Thin client monitor for TCOS
 TCOS, thin Client Operating System is a method to create small embedded os
 based on Debian/Ubuntu with normal Debian kernel's.
 .
 tcosmonitor is a small pygtk app to monitor thin clients

Package: tcosmonitor-common
Architecture: all
Depends: python, 
         python-utmp, 
         python-dbus,
         python-gtk2, 
         python-dns, 
         python-netifaces, 
         python-notify, 
         python-xlib,
         python-ipaddr,
         python-ipy,
         python-eggtrayicon | python-gnome2-extras,
         python-dateutil,
         zenity, 
         dbus, 
         x11vnc, 
         lsb-base (>= 3.0-6), 
         notification-daemon | xfce4-notifyd, 
         libnotify-bin, 
         python-m2crypto,
         python-medusa,
         tcos-core ( >= 0.89.44), 
         consolekit,
         ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Breaks: initramfs-tools-tcos (<= 0.88.16), tcosmonitor (<=0.2.39)
Description: Thin client monitor for TCOS (common files)
 TCOS, thin Client Operating System is a method to create small embedded os
 based on Debian/Ubuntu with normal Debian kernel's.
 .
 This package contains common files of tcosmonitor (for standalone)

## tcosmonitor 0.2.48

=== debian/changelog ===
tcosmonitor (0.2.48) unstable; urgency=low

  * Add French translation (closes: #678235)
    Thanks to Julien Patriarca <patriarcaj@gmail.com>

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Fri, 22 Jun 2012 13:33:28 +0200

tcosmonitor (0.2.47) unstable; urgency=low

  * tcosmonitor/TcosCommon.py:
    - Fix print_debug() typo in lookup()
    - Do a revlookup() in all nameservers

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Sun, 05 Feb 2012 21:57:29 +0100

tcosmonitor (0.2.46) unstable; urgency=low

  * tcosmonitor/TcosCommon.py:
    - Ask all nameservers and init server list in lookup()

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Sun, 05 Feb 2012 21:56:40 +0100

## tcosmonitor 0.2.49

=== dbus/Makefile ===
DESTDIR:=/

all:
	

include ../common.mk

install:
	install -d  $(DESTDIR)$(X11_CONF)/
	install -d  $(DESTDIR)/$(PREFIX)/bin/

	install -m 644 81tcos-utils  $(DESTDIR)$(X11_CONF)/
	install -m 755 tcos-dbus-client.py $(DESTDIR)/$(PREFIX)/bin/tcos-dbus-client

clean:
	rm -f *.pyc *~

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-LANGUAGES=es pt_BR ca ca@valencia gl
+LANGUAGES=es pt_BR ca ca@valencia gl fr
 
 all: gmo

=== tcosmonitor/extensions/Makefile ===
all:
	#none

include ../../common.mk


clean:
	rm -f *~ *.pyc

install:
	install -d $(DESTDIR)/$(PREFIX)/share/$(PACKAGE)/extensions
	@for ext in $(shell ls *.py |grep -v template); do \
		echo "install -m 644 $$ext $(DESTDIR)/$(PREFIX)/share/$(PACKAGE)/extensions" ; \
		install -m 644 $$ext $(DESTDIR)/$(PREFIX)/share/$(PACKAGE)/extensions ; \
	done

=== debian/changelog ===
tcosmonitor (0.2.49) unstable; urgency=low

  * Remove python-eggtrayicon, (closes: #702104)
  * Add msg if FTP fail

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Mon, 07 Oct 2013 15:43:20 +0200

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,6 @@
          python-xlib,
          python-ipaddr,
          python-ipy,
-         python-eggtrayicon | python-gnome2-extras,
          python-dateutil,
          zenity, 
          dbus,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2


override_dh_auto_clean:
	dh_auto_clean
	cd po && make clean



.PHONY: override_dh_auto_clean

#install/tcosmonitor::
#	@if [ `find $(CURDIR)/debian/tmp/ -name "*.py" | xargs grep __VERSION__ | wc -l` != 0 ]; then \
#		echo "__VERSION__ unparsed"; \
#		find *.py | xargs grep __VERSION__;\
#		exit 1; \
#	fi
#
#
#binary-predeb/tcosmonitor-common::
#	# link doc
#	rm -rf debian/tcosmonitor/usr/share/doc/tcosmonitor
#	ln -s tcosmonitor-common debian/tcosmonitor/usr/share/doc/tcosmonitor
#

## tcosmonitor 0.2.50

=== debian/changelog ===
tcosmonitor (0.2.50) unstable; urgency=low

  * LocalData.py: Use native netstat() reading /proc/net/tcp
  * tcosmonitor.py: exit if can't start FTP SSL server
  * extensions/audiortp.py: Disable Pulseaudio version check,
    all supported versions have > 0.9.10
  * Bump standards version to 3.9.5, no changes needed

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Sun, 14 Sep 2014 17:10:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all (>=2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Vcs-Git: http://tcosproject.org/git/tcosmonitor.git
 Vcs-Browser: http://tcosproject.org/cgit/tcosmonitor.git/
 Homepage: http://www.tcosproject.org
